| Flutter Impeller |

Public Member Functions | Static Public Attributes | List of all members
impeller::testing::Sample Class Reference
Inheritance diagram for impeller::testing::Sample:

## Public Member Functions
| Sample (uint64_t count=42)
| Sample (Sample &&)=default
uint64_t | GetSomeData () const
PrimaryKey | GetPrimaryKey () const override
bool | Write (ArchiveLocation &item) const override
bool | Read (ArchiveLocation &item) override
Public Member Functions inherited from impeller::Archivable
virtual | ~Archivable ()=default

## Static Public Attributes
static const ArchiveDef | kArchiveDefinition

## Detailed Description

Definition at line 22 of file archivist_unittests.cc.

## Constructor & Destructor Documentation

## ◆ Sample() [1/2]

impeller::testing::Sample::Sample | ( | uint64_t | count = `42` | ) |
| inline explicit

Definition at line 24 of file archivist_unittests.cc.

24 : some_data_(count) {}

## ◆ Sample() [2/2]

impeller::testing::Sample::Sample | ( | Sample && |  | ) |
| default

## Member Function Documentation

## ◆ GetPrimaryKey()

PrimaryKey impeller::testing::Sample::GetPrimaryKey | ( |  | ) | const
| inline override virtual

Implements impeller::Archivable.

Definition at line 31 of file archivist_unittests.cc.

31 { return name_; }

Referenced by impeller::testing::TEST_F().

## ◆ GetSomeData()

uint64_t impeller::testing::Sample::GetSomeData | ( |  | ) | const
| inline

Definition at line 28 of file archivist_unittests.cc.

28 { return some_data_; }

Referenced by impeller::testing::TEST_F().

## ◆ Read()

bool impeller::testing::Sample::Read | ( | ArchiveLocation & | item | ) |
| inline override virtual

Implements impeller::Archivable.

Definition at line 39 of file archivist_unittests.cc.

39 {
40 name_ = item.GetPrimaryKey();
41 return item.Read("some_data", some_data_);
42 };

References impeller::ArchiveLocation::GetPrimaryKey(), and impeller::ArchiveLocation::Read().

## ◆ Write()

bool impeller::testing::Sample::Write | ( | ArchiveLocation & | item | ) | const
| inline override virtual

Implements impeller::Archivable.

Definition at line 34 of file archivist_unittests.cc.

34 {
35 return item.Write("some_data", some_data_);
36 };

References impeller::ArchiveLocation::Write().

## Member Data Documentation

## ◆ kArchiveDefinition

const ArchiveDef impeller::testing::Sample::kArchiveDefinition
| static

Initial value:
= {
.table_name = "Sample",
.members = {"some_data"},
}

Definition at line 42 of file archivist_unittests.cc.

The documentation for this class was generated from the following file:

- impeller/archivist/archivist_unittests.cc